#ifndef seafire__representation__concepts_hxx_
#define seafire__representation__concepts_hxx_

#include <seafire/representation/traits.hxx>

namespace seafire::representation
{

  template<typename R>
  concept BasicRepresentation = traits::is_basic_representation_v<R>;

  template<typename R>
  concept ContentNegotiableRepresentation = traits::is_content_negotiable_representation_v<R>;

  template<typename R>
  concept Representation = traits::is_representation_v<R>;

} // namespace seafire::representation

#endif
