#ifndef seafire__representation__negotiate_hxx_
#define seafire__representation__negotiate_hxx_

#include <seafire/protocol/media-type.hxx>
#include <seafire/protocol/rfc7231/accept.hxx>
#include <seafire/representation/concepts.hxx>
#include <seafire/representation/traits.hxx>
#include <seafire/server/request.hxx>
#include <seafire/server/response.hxx>

#include <optional>

namespace seafire::representation
{

  // fixme: implement concept for handler.
  //

  template<Representation R, typename Handler>
  void
  negotiate(server::request_t& req,
            server::response_t& res,
            Handler&& handler);

} // namespace seafire::representation

#include <seafire/representation/negotiate.txx>

#endif
