#ifndef seafire__representation__select_hxx_
#define seafire__representation__select_hxx_

#include <seafire/protocol/media-type.hxx>

#include <seafire/representation/concepts.hxx>
#include <seafire/representation/representation.hxx>
#include <seafire/representation/traits.hxx>

#include <optional>

namespace seafire::representation
{

  template<Representation R>
  representation_t
  select(R const&, std::optional<protocol::media_type_t> const&);

} // namespace seafire::representation

#include <seafire/representation/select.txx>

#endif
