#ifndef seafire__representation__send_hxx_
#define seafire__representation__send_hxx_

#include <seafire/representation/concepts.hxx>
#include <seafire/representation/metadata.hxx>

#include <seafire/protocol/rfc7231/content-type.hxx>

#include <seafire/server/request.hxx>
#include <seafire/server/response.hxx>

namespace seafire::representation
{

  template<Representation R>
  void
  send(server::request_t&,
       server::response_t&,
       protocol::status_code_t,
       R const&,
       bool);

} // namespace seafire::representation

#include <seafire/representation/send.txx>

#endif
